<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: UIImage(MultiFormat) Category Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#pub-static-methods">Class Methods</a> &#124;
<a href="category_u_i_image_07_multi_format_08-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">UIImage(MultiFormat) Category Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:a8c6a9bda081668bfc55e80a2bdd36312"><td class="memItemLeft" align="right" valign="top">(nullable NSData *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_image_07_multi_format_08.html#a8c6a9bda081668bfc55e80a2bdd36312">sd_imageData</a></td></tr>
<tr class="separator:a8c6a9bda081668bfc55e80a2bdd36312"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfc305268ecaaa97e64ea526c40884d2"><td class="memItemLeft" align="right" valign="top">(nullable NSData *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_image_07_multi_format_08.html#abfc305268ecaaa97e64ea526c40884d2">sd_imageDataAsFormat:</a></td></tr>
<tr class="separator:abfc305268ecaaa97e64ea526c40884d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09734e33945099eb7ebb229178e38557"><td class="memItemLeft" align="right" valign="top">(nullable NSData *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_image_07_multi_format_08.html#a09734e33945099eb7ebb229178e38557">sd_imageDataAsFormat:compressionQuality:</a></td></tr>
<tr class="separator:a09734e33945099eb7ebb229178e38557"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57c06219d284e954cdbbf43835f7b64e"><td class="memItemLeft" align="right" valign="top">(nullable NSData *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_image_07_multi_format_08.html#a57c06219d284e954cdbbf43835f7b64e">sd_imageDataAsFormat:compressionQuality:firstFrameOnly:</a></td></tr>
<tr class="separator:a57c06219d284e954cdbbf43835f7b64e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Class Methods</h2></td></tr>
<tr class="memitem:ad1f66c24e1022917ef8e1abd146c85ae"><td class="memItemLeft" align="right" valign="top">(nullable UIImage *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_image_07_multi_format_08.html#ad1f66c24e1022917ef8e1abd146c85ae">sd_imageWithData:</a></td></tr>
<tr class="separator:ad1f66c24e1022917ef8e1abd146c85ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a127360b92d6663719415b501da2a3763"><td class="memItemLeft" align="right" valign="top">(nullable UIImage *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_image_07_multi_format_08.html#a127360b92d6663719415b501da2a3763">sd_imageWithData:scale:</a></td></tr>
<tr class="separator:a127360b92d6663719415b501da2a3763"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4793c143dbbd847680679871947616b0"><td class="memItemLeft" align="right" valign="top">(nullable UIImage *)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_u_i_image_07_multi_format_08.html#a4793c143dbbd847680679871947616b0">sd_imageWithData:scale:firstFrameOnly:</a></td></tr>
<tr class="separator:a4793c143dbbd847680679871947616b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Method Documentation</h2>
<a id="a8c6a9bda081668bfc55e80a2bdd36312"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c6a9bda081668bfc55e80a2bdd36312">&#9670;&nbsp;</a></span>sd_imageData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (nullable NSData *) sd_imageData </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Encode the current image to the data, the image format is unspecified</p>
<dl class="section return"><dt>Returns</dt><dd>The encoded data. If can't encode, return nil </dd></dl>

</div>
</div>
<a id="abfc305268ecaaa97e64ea526c40884d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfc305268ecaaa97e64ea526c40884d2">&#9670;&nbsp;</a></span>sd_imageDataAsFormat:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (nullable NSData *) sd_imageDataAsFormat: </td>
          <td></td>
          <td class="paramtype">(sd_imageData(as:))&#160;</td>
          <td class="paramname"><em>NS_SWIFT_NAME</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Encode the current image to data with the specify image format</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">imageFormat</td><td>The specify image format </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The encoded data. If can't encode, return nil </dd></dl>

</div>
</div>
<a id="a09734e33945099eb7ebb229178e38557"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09734e33945099eb7ebb229178e38557">&#9670;&nbsp;</a></span>sd_imageDataAsFormat:compressionQuality:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (nullable NSData *) sd_imageDataAsFormat: </td>
          <td></td>
          <td class="paramtype">(SDImageFormat)&#160;</td>
          <td class="paramname"><em>imageFormat</em></td>
        </tr>
        <tr>
          <td class="paramkey">compressionQuality:</td>
          <td></td>
          <td class="paramtype">(sd_imageData(as:compressionQuality:))&#160;</td>
          <td class="paramname"><em>NS_SWIFT_NAME</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Encode the current image to data with the specify image format and compression quality</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">imageFormat</td><td>The specify image format </td></tr>
    <tr><td class="paramname">compressionQuality</td><td>The quality of the resulting image data. Value between 0.0-1.0. Some coders may not support compression quality. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The encoded data. If can't encode, return nil </dd></dl>

</div>
</div>
<a id="a57c06219d284e954cdbbf43835f7b64e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57c06219d284e954cdbbf43835f7b64e">&#9670;&nbsp;</a></span>sd_imageDataAsFormat:compressionQuality:firstFrameOnly:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (nullable NSData *) sd_imageDataAsFormat: </td>
          <td></td>
          <td class="paramtype">(SDImageFormat)&#160;</td>
          <td class="paramname"><em>imageFormat</em></td>
        </tr>
        <tr>
          <td class="paramkey">compressionQuality:</td>
          <td></td>
          <td class="paramtype">(double)&#160;</td>
          <td class="paramname"><em>compressionQuality</em></td>
        </tr>
        <tr>
          <td class="paramkey">firstFrameOnly:</td>
          <td></td>
          <td class="paramtype">(sd_imageData(as:compressionQuality:firstFrameOnly:))&#160;</td>
          <td class="paramname"><em>NS_SWIFT_NAME</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Encode the current image to data with the specify image format and compression quality, allow specify animate/static control</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">imageFormat</td><td>The specify image format </td></tr>
    <tr><td class="paramname">compressionQuality</td><td>The quality of the resulting image data. Value between 0.0-1.0. Some coders may not support compression quality. </td></tr>
    <tr><td class="paramname">firstFrameOnly</td><td>Even if the image is animated image, encode the first frame only as static image. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The encoded data. If can't encode, return nil </dd></dl>

</div>
</div>
<a id="ad1f66c24e1022917ef8e1abd146c85ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1f66c24e1022917ef8e1abd146c85ae">&#9670;&nbsp;</a></span>sd_imageWithData:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (nullable UIImage *) sd_imageWithData: </td>
          <td></td>
          <td class="paramtype">(nullable NSData *)&#160;</td>
          <td class="paramname"><em>data</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Create and decode a image with the specify image data</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>The image data </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The created image </dd></dl>

</div>
</div>
<a id="a127360b92d6663719415b501da2a3763"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a127360b92d6663719415b501da2a3763">&#9670;&nbsp;</a></span>sd_imageWithData:scale:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (nullable UIImage *) sd_imageWithData: </td>
          <td></td>
          <td class="paramtype">(nullable NSData *)&#160;</td>
          <td class="paramname"><em>data</em></td>
        </tr>
        <tr>
          <td class="paramkey">scale:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>scale</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Create and decode a image with the specify image data and scale</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>The image data </td></tr>
    <tr><td class="paramname">scale</td><td>The image scale factor. Should be greater than or equal to 1.0. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The created image </dd></dl>

</div>
</div>
<a id="a4793c143dbbd847680679871947616b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4793c143dbbd847680679871947616b0">&#9670;&nbsp;</a></span>sd_imageWithData:scale:firstFrameOnly:()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (nullable UIImage *) sd_imageWithData: </td>
          <td></td>
          <td class="paramtype">(nullable NSData *)&#160;</td>
          <td class="paramname"><em>data</em></td>
        </tr>
        <tr>
          <td class="paramkey">scale:</td>
          <td></td>
          <td class="paramtype">(CGFloat)&#160;</td>
          <td class="paramname"><em>scale</em></td>
        </tr>
        <tr>
          <td class="paramkey">firstFrameOnly:</td>
          <td></td>
          <td class="paramtype">(BOOL)&#160;</td>
          <td class="paramname"><em>firstFrameOnly</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Create and decode a image with the specify image data and scale, allow specify animate/static control</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data</td><td>The image data </td></tr>
    <tr><td class="paramname">scale</td><td>The image scale factor. Should be greater than or equal to 1.0. </td></tr>
    <tr><td class="paramname">firstFrameOnly</td><td>Even if the image data is animated image format, decode the first frame only as static image. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The created image </dd></dl>

</div>
</div>
<hr/>The documentation for this category was generated from the following file:<ul>
<li><a class="el" href="_u_i_image_09_multi_format_8h_source.html">UIImage+MultiFormat.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
